package krbzsq.surge;

import java.util.HashMap;
import java.util.Map;

public class Session {
    private Map<String, Object> variables = new HashMap<>();
    private String secret;     //TODO: this?

    public Session(String secret) {
        this.secret = secret;
    }

    public void addVariable(String key, Object val) {
        variables.put(key, val);
    }

    public void removeVariable(String key) {
        variables.remove(key);
    }

    public boolean hasVariable(String key) {
        return variables.containsKey(key) && variables.get(key) != null;
    }

    public void clear() {
        variables.clear();
    }
}
