package krbzsq.surge.util;

import krbzsq.surge.Model;
import krbzsq.surge.html.Element;
import krbzsq.surge.net.HttpRequestType;

import java.lang.reflect.Field;

public class Tags {

    public static Element a(String inner, String link) {
        return Element.init("a", inner).attr("href",link);
    }

    public static Element hr() {
        return Element.init("hr").attr("id", "lol");
    }

    public static String form(Class<? extends Model> c, String action, HttpRequestType type) {
        StringBuilder bldr = new StringBuilder();
        bldr.append("<form action=\"").append(action).append("\" method=\"").append(type).append("\">\n");
        for(Field field : c.getDeclaredFields()) {
            bldr.append("<input type=\"text\" name=\"").append(field.getName()).append("\"/>\n");
        }
        bldr.append("<input type=\"submit\" value=\"Submit\"/>");
        bldr.append("</form>");
        return bldr.toString();
    }
}
