package krbzsq.surge.view.style;

import krbzsq.surge.util.Style;

import java.util.ArrayList;
import java.util.List;

public abstract class Stylesheet extends Style {
    private List<StylesheetProperty> properties = new ArrayList<>();

    public void addProperty(String element, String key, String value) {
        properties.add(new StylesheetProperty(element, key, value));
    }

    public List<StylesheetProperty> getProperties() {
        return properties;
    }

    public abstract Stylesheet build();
}
