package krbzsq.surge.view.style;

import java.util.*;

public class StylesheetCompiler {

    //Ugly and slow
    public static String compile(Stylesheet sheet) {
        Map<String, List<StylesheetProperty>> chunks = new HashMap<>();
        for(StylesheetProperty property : sheet.getProperties()) {
            if(chunks.containsKey(property.getElement())) {
                List<StylesheetProperty> prop = new ArrayList<>(chunks.get(property.getElement()));
                prop.add(property);
                chunks.remove(property.getElement());
                chunks.put(property.getElement(),prop);
            } else {
                chunks.put(property.getElement(), Arrays.asList(property));
            }
        }
        StringBuilder bldr = new StringBuilder();
        for(Map.Entry<String, List<StylesheetProperty>> set : chunks.entrySet()) {
            bldr.append(set.getKey()).append(" {\n");
            for(StylesheetProperty props : set.getValue()) {
                bldr.append(props.getPropertyKey()).append(": ").append(props.getPropertyValue()).append(";\n");
            }
            bldr.append("}\n");
        }
        return bldr.toString();
    }
}
