package krbzsq.surge.util;

import java.util.HashMap;
import java.util.Map;

public class Cookies {
    private Map<String, Cookie> cookies = new HashMap<>();

    public void add(Cookie cookie) {
        cookies.put(cookie.getName(), cookie);
    }

    public boolean has(String cookie) {
        return cookies.containsKey(cookie) && cookies.get(cookie) != null;
    }

    public Cookie get(String key) {
        if(has(key)) {
            return cookies.get(key);
        }
        return null;
    }
}
